
import com.sun.opengl.util.Screenshot;
import java.io.File;
import java.io.IOException;
import javax.media.opengl.GL;

public class Screenshotter {

	public static void takeTargaScreenshot(Draw draw, String fileName) {
		File newFile = new File(fileName);
		GL gl = draw.getGlContext();
		try {
			int[] viewport = {0, 0, 0, 0};
			gl.glGetIntegerv(GL.GL_VIEWPORT, viewport, 0);
			Screenshot.writeToTargaFile(newFile, viewport[0],
							viewport[1], viewport[2],
							viewport[3], false);
		} catch (IOException ioe) {
			System.out.println(ioe.getMessage());
		}

	}

	public static void takeScreenshot(
					Draw draw,
					String fileName,
					int x,
					int y,
					int width,
					int height) {
		File newFile = new File(fileName);
		GL gl = draw.getGlContext();
		try {
			Screenshot.writeToFile(newFile, x, y, width, height, false);
		} catch (IOException ioe) {
			System.out.println(ioe.getMessage());
		}

	}
}
